/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * COPSE Client Application
 * Classe:  COPSEGUIProductControl
\******************************************************************************/


import java.awt.*;
import java.awt.event.*;


public class    COPSEGUIProductControl
    implements  ActionListener
{
    //*
    protected   COPSEGUIManager             pGUI;
    protected   COPSEGUIProjectManager      pProjectManager;


    // Product Menu
    protected   Menu            mnProduct;
    protected   MenuItem        mnProductStructure;
    protected   MenuItem        mnProductBaseline;


    public COPSEGUIProductControl( COPSEGUIProjectManager projManager )
    {
        pProjectManager = projManager;
        pGUI = pProjectManager.GetGUIManager();
    }

    public void AddMenu( MenuBar menubar )
    {
        mnProduct = new Menu( "Product" );

        mnProductStructure = new MenuItem( "Structure..." );
        mnProductStructure.addActionListener( this );
        mnProduct.add(mnProductStructure);

        mnProductBaseline = new MenuItem( "Baseline..." );
        mnProductBaseline.addActionListener( this );
        mnProduct.add(mnProductBaseline);

        menubar.add( mnProduct );
    }

    //* ActionListener method
    public void actionPerformed( ActionEvent event )
    {
        Object source = event.getSource();

        if( source == mnProductStructure )
        { }
        else
        if( source == mnProductBaseline )
        { }
    }

}
