/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * COPSE Client Application
 * Classe:  COPSEProcessControl
\******************************************************************************/


import java.awt.*;
import java.awt.event.*;


public class    COPSEProcessControl
    implements  ActionListener
{
    //*
    protected   COPSEGUIManager             pGUI;
    protected   COPSEGUIProjectManager      pProjectManager;


    // Process Menu
    protected   Menu            mnProcess;
    protected   MenuItem        mnProcessMeta;
    protected   MenuItem        mnProcessWork;


    public COPSEGUIProcessControl( COPSEGUIProjectManager projManager )
    {
        pProjectManager = projManager;
        pGUI = pProjectManager.GetGUIManager();
    }

    public void AddMenu( MenuBar menubar )
    {
        mnProcess = new Menu( "Process" );

        mnProcessMeta = new MenuItem( "Meta Process..." );
        mnProcessMeta.addActionListener( this );
        mnProcess.add(mnProcessMeta);

        mnProcessWork = new MenuItem( "Work Process..." );
        mnProcessWork.addActionListener( this );
        mnProcess.add(mnProcessWork);

        menubar.add( mnProcess );
    }

    //* ActionListener method
    public void actionPerformed( ActionEvent event )
    {
        Object source = event.getSource();

        if( source == mnProcessMeta )
        { }
        else
        if( source == mnProcessWork )
        { }
    }

}