/**
 * UFRGS - II - PPGC - MESTRADO EM CIENCIA DA COMPUTACAO
 * AUTOR LUIZ ANGELO BARCHET ESTEFANEL
 * CLASSE MouseClick
 * PACOTE BW.UML.ClickBar
 * DATA DE CRIACAO 16 / 01 / 2001
 */

package BW.UML.ClickBar;

import java.awt.event.*;


/**
 * classe MouseClick captura os clicks do mouse sobre o grafico de barras
 * @author Luiz Angelo Barchet Estefanel
 * @version 1.0
 */

    public class MouseClick extends MouseAdapter {

	  private Chart2 ch2;

	  public void setNotifiable (Chart2 ch2)
	  {
	     this.ch2 = ch2;
	  }

          public void mouseClicked(MouseEvent e)
          {
             int x = e.getX();
             int y = e.getY();
             //puck.setLocation(x, y);
             //System.out.println("Clicked at (" + x + "," + y + ")");
	     ch2.process(x,y);
          }
    }