 /**
 * UFRGS - II - PPGC - MESTRADO EM CIENCIA DA COMPUTACAO
 * AUTORES LUIZ ANGELO B. ESTEFANEL E MANUELE KIRSCH PINHEIRO
 * Classe ServerID
 * PACOTE BW.UML.ObjId
 * DATA DE CRIACAO 28 / 01 / 2001
 */
package BW.UML.ObjId;


/**
 * Classe ServerID e o servidor de identificadores
 * de objetos para uso do framework para awareness BW,
 * quando combinado ao groupware CUTE (construido com
 * o framework COPSE).
 * COPSE e CUTE sao de autoria de Marcio Dias, pela
 * COPPE/UFRJ, 1998.
 * @author Manuele Kirsch Pinheiro
 * @author Luiz Angelo B. Estefanel
 * @version 1.0
 */
 public class ServerID {

	static int port = 5433;
	static String host = "localhost";
	
	public static void main (String argv[]) {
		
		//Thread objServer = new ObjIdServer();
		//String host="localhost";

		if (argv.length>=2) {
                    // argumentos: -h host
                    for (int i=0; i<argv.length;i++){
                    	String arg = argv[i];
                    	if (arg.charAt(0)=='-') {
                    		switch (arg.charAt(1)) {
                    			case 'h':
                    				host= new String (argv[i+1]);
                    		                break;	
                    			default:
                    				System.out.println ("Use: java BW.UML.UML_Setup [-h host]");
                    				System.exit(0);
                    		}
                    	}
                    }
                }

		
		ObjIdServer objServer = new ObjIdServer(host);
		
		objServer.init(port);
		
	}
}
