/**
 * UFRGS - II - PPGC - MESTRADO EM CIENCIA DA COMPUTACAO
 * AUTORES LUIZ ANGELO B. ESTEFANEL E MANUELE KIRSCH PINHEIRO
 * Classe clientID
 * PACOTE BW.UML.ObjId
 * DATA DE CRIACAO 28 / 01 / 2001
 */
package BW.UML.ObjId;

import java.io.*;
import java.net.*;

/**
 * Classe clientID e um cliente de identificadores
 * de objetos para uso do framework para awareness BW,
 * quando combinado ao groupware CUTE (construido com
 * o framework COPSE).
 * COPSE e CUTE sao de autoria de Marcio Dias, pela
 * COPPE/UFRJ, 1998.
 * @author Manuele Kirsch Pinheiro
 * @author Luiz Angelo B. Estefanel
 * @version 1.0
 */
public class clientID {
	
	public InetAddress InetServerAddress;
	public int ServerPort;
	public DatagramSocket socket;
	public DatagramPacket sendpacket;
	public DatagramPacket receivepacket;
	
	public clientID (String serverName, int ServerPort) {
		
		try {
			InetServerAddress = InetAddress.getByName(serverName);
			this.ServerPort = ServerPort;
		
			socket = new DatagramSocket();
			
			sendpacket = new DatagramPacket(new byte [5], 5, InetServerAddress, ServerPort);
			receivepacket = new DatagramPacket(new byte [100], 100);
		} catch (Exception ex) {}
	}
	
	
	public Integer getID () {
		try {
			socket.send(sendpacket);
			socket.receive(receivepacket);
			ByteArrayInputStream bin = new ByteArrayInputStream(receivepacket.getData());
			ObjectInputStream p = new ObjectInputStream(bin);
			return (Integer)p.readObject();
		} catch (IOException ex) {
			System.out.println("comunicacao nao disponivel");
			return null;
		} catch (ClassNotFoundException ex) {
			System.out.println("ele nao sabe o que e um integer");
			return null;
		}
	}
}
		