/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * package: COPSE.CLIENT
 * Classe:  CClientSessionManager
\******************************************************************************/

package COPSE.CLIENT;

import java.io.*;
import java.util.*;

import COPSE.*;


public class    CClientSessionManager
    extends     CSessionManager
{
    protected   CUserSession    pClientSession;

    public CClientSessionManager()
    {
        super();
        pClientSession = null;
    }

    public void SetClientSession( int connId )
    {
        pClientSession = FindSessionByConnection(connId);
    }

    public CUserSession GetClientSession()  { return pClientSession; }

    public CToolSession GetClientToolSession()
    {
        if( pClientSession == null )
            return null;
        return pClientSession.GetToolSession();
    }
}
