/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: COPSE.CLIENT
 * Classe:  CGUIMultiPointerControl
\******************************************************************************/

package COPSE.CLIENT.GUI;


import  java.awt.*;
import  java.awt.event.*;

import  COPSE.*;
import  COPSE.CLIENT.*;


/*
public class    CGUIMultiPointerControl
    extends     CGUIControl
    implements  ItemListener //, MouseMotionListener...

{
    protected   CGUICollaborationManager    pCollabManager;

    protected   CheckboxMenuItem            mnMultiPointer;


    public CGUIMultiPointerControl ( CGUICollaborationManager collabManager, Menu menu )
    {
        super( collabManager.GetGUIManager() );
        pCollabManager = collabManager;

        mnMultiPointer = new CheckboxMenuItem( "MultiPointer" );
        mnMultiPointer.addItemListener( this );
        mnMultiPointer.setEnabled( IsEnabled() );
        menu.add( mnMultiPointer );
    }


    protected void ChangeMenuSettings()
    {
        mnMultiPointer.setEnabled( mIsEnabled );
    }


    //* ItemListener
    public void itemStateChanged(ItemEvent event)
    {
        if( event.getSource() == mnMultiPointer )
        {
            mIsEnabled = mnMultiPointer.getState();
        }
    }



    //* Event Handler
    protected   void    ProcessEvent( CEvent event )
    {
        int type = event.GetType();

        switch( type )
        {
            case CEvent.EvCollaboration_Awareness_Pointer_On:
                {
                }
                break;

            case CEvent.EvCollaboration_Awareness_Pointer_Off:
                {
                }
                break;

            case CEvent.EvCollaboration_Awareness_Pointer_Position:
                {
                }
                break;

            default:
                super.ProcessEvent(event);
        }
    }


}
*/



public class    CGUIMultiPointerControl
    extends     CGUICheckboxMenuControl
{
    public CGUIMultiPointerControl ( CGUICollaborationManager collabManager, Menu menu )
    {
        super( collabManager, menu, "MultiPointer" );
    }

    //* Event Handler
    protected   void    ProcessEvent( CEvent event )
    {
        int type = event.GetType();

        switch( type )
        {
            case CEvent.EvCollaboration_Awareness_Pointer_On:
                {
                }
                break;

            case CEvent.EvCollaboration_Awareness_Pointer_Off:
                {
                }
                break;

            case CEvent.EvCollaboration_Awareness_Pointer_Position:
                {
                }
                break;

            default:
                super.ProcessEvent(event);
        }
    }

}


