/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: FILE
 * Classe:  CProjectEntry
\******************************************************************************/


package FILE;



import java.io.*;
import java.util.*;


public class CProjectEntry
    extends CElement
{
    //** Attributes
    protected String        mName;
    protected String        mDescription;

    protected boolean       mIsActive;
    protected String        mPortNumber;
    protected String        mHost;


    //** Constructor
    public CProjectEntry()
    {
        super();
        mName = "";
        mDescription = "";
        mIsActive = false;
        mPortNumber = "";
        mHost = "";
    }

    //** Methods to Attributes
    public String   GetName( )                      { return mName; }
    public void     SetName( String name )          { mName = name; }

    public String   GetDescription( )               { return mDescription; }
    public void     SetDescription( String desc )   { mDescription = desc; }

    public boolean  IsActive()                      { return mIsActive; }

    public void     SetActive( String port, String host )
    {
        mPortNumber = port;
        mHost = host;
        mIsActive = !port.equals("");
    }

    public String   GetPort()                       { return mPortNumber; }
    public String   GetHost()                       { return mHost; }


    //** DEBUG
    public void DEBUG_write( PrintStream pStr )
    {
        pStr.println( "DEBUG: CElement");
        pStr.println( "       Id:           " + mId );
    }
}
