/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: PROCESS.MODEL
 * Classe:  CModelHeader
\******************************************************************************/

package PROCESS.MODEL;

import java.io.*;
import java.util.*;


import FILE.CElement;


public class    CModelHeader
    extends     CElement
{
    /** Sub-Model Id */
    protected CSubModel pSubModel;
    protected String mName;


    public      CModelHeader()
    {
        super();
        pSubModel = null;
        mName = "";
    }

    public CSubModel GetSubModel()                  { return pSubModel; }
    public void      SetSubModel( CSubModel sm )    { pSubModel = sm; }

    public void     SetName( String name )          { mName = name; }
    public String   GetName()                       { return mName; }


    //** DEBUG
    public void DEBUG_write( PrintStream pStr )
    {
        pStr.println( "DEBUG: CModelHeader (extends FILE.CElement)" );
        pStr.println( "       ModelName:    " + mName );
        pStr.println( "       SubModel:   " + pSubModel );

        super.DEBUG_write( pStr );
    }


}
