
import java.awt.*;
import java.awt.event.*;

import sunw.admin.avm.base.*;

public class App2 {

/**
    public void search() {
        // do search operation ...
        System.out.println("Searching...");
    }
    public void sort() {
        // do sort operation ...
        System.out.println("Sorting....");
    }
*/
    static public void main(String args[]) {
//       App2 app = new App2();
//       GUI gui = new GUI();

        Frame f = new Frame();
        f.setLayout(new BorderLayout(0,0));
		f.addNotify();


        f.addWindowListener( new WindowControl() );

/**
        Command searchCmd = new Command(Command.SEARCH, app);
        Command sortCmd = new Command(Command.SORT, app);

        Button b;
        f.add(b = new Button("Search"));
        b.addActionListener(searchCmd);
        f.add(b = new Button("Sort"));
        b.addActionListener(sortCmd);

        List l;
        f.add(l = new List());
        l.add("Alphabetical");
        l.add("Chronological");
        l.addActionListener(sortCmd);
*/
        Browser         browser;
        BrowserFolder   top, folderA, folderB, folder;
        BrowserNode     node;

        browser = new Browser();

        top = new BrowserFolder( browser, "Project" );
        browser.setTopNode( top );

        top.append(folderA = new BrowserFolder(browser, "Process"));
        top.append(folderB = new BrowserFolder(browser, "Product"));
        top.append(node    = new BrowserItem  (browser, "DocIndex"));

        folderA.append(folder = new BrowserFolder(browser, "ActivityA"));
                folder.append(new BrowserItem (browser, "Doc A.1"));
                folder.append(new BrowserItem (browser, "Doc A.2"));
                folder.expand();
        folderA.append(folder = new BrowserFolder(browser, "ActivityB"));
                folder.append(new BrowserItem (browser, "Doc B.1"));
                folder.expand();
        folderA.append(new BrowserItem  (browser, "DocProc"));
        folderA.expand();

        folderB.append(folder = new BrowserFolder(browser, "BaselineA"));
                folder.append(new BrowserItem (browser, "Doc A.1"));
                folder.append(new BrowserItem (browser, "Doc A.2"));
                folder.expand();
        folderB.append(folder = new BrowserFolder(browser, "BaselineB"));
                folder.append(new BrowserItem (browser, "Doc B.1"));
                folder.expand();
        folderB.append(new BrowserItem  (browser, "DocProd"));
        folderB.expand();

        browser.setLineColor         (Color.black);
        browser.setTextColor         (Color.black);
        browser.setViewportBackground(Color.white);
        browser.setViewportInsets    (new Insets(5,5,5,5));
        browser.setFont              (new Font("Dialog", Font.ITALIC, 12));

        top.expand();

        f.add("Center", browser);
        f.pack();
		f.setSize(f.getInsets().left + f.getInsets().right + 640,
		          f.getInsets().top + f.getInsets().bottom + 400);

        f.show();

    }
}


class WindowControl extends WindowAdapter // implements WindowListener
{
    public void windowClosing(WindowEvent e)
    {
        Window win = e.getWindow();
        win.dispose();
        System.exit(0);
    }
}


/**
class Command implements ActionListener  {
    static final int SEARCH = 0;
    static final int SORT = 1;
    int id;
    App app;

    public Command(int id, App app) {
        this.id = id;
        this.app = app;
    }

    public void actionPerformed(ActionEvent e) {
        switch(id) {
          case SEARCH:
            app.search();
            break;
          case SORT:
            app.sort();
            break;
        }
    }
}

*/

class GUI {

    public GUI()
    {
        Frame f = new Frame();
        f.setLayout(new FlowLayout());
        f.addWindowListener( new WindowControl() );

/**
        Command searchCmd = new Command(Command.SEARCH, app);
        Command sortCmd = new Command(Command.SORT, app);

        Button b;
        f.add(b = new Button("Search"));
        b.addActionListener(searchCmd);
        f.add(b = new Button("Sort"));
        b.addActionListener(sortCmd);

        List l;
        f.add(l = new List());
        l.add("Alphabetical");
        l.add("Chronological");
        l.addActionListener(sortCmd);
*/
        Browser         browser;
        BrowserFolder   top, folderA, folderB;
        BrowserNode     node;

        browser = new Browser();

        top = new BrowserFolder( browser, "top" );
        browser.setTopNode( top );

        top.append(folderA = new BrowserFolder(browser, "top Process"));
        top.append(folderB = new BrowserFolder(browser, "top Product"));
        top.append(node    = new BrowserItem  (browser, "top DocIndex"));

        folderA.append(new BrowserFolder(browser, "Process ActivityA"));
        folderA.append(new BrowserFolder(browser, "Process ActivityB"));
        folderA.append(new BrowserItem  (browser, "Process DocProc"));

        folderB.append(new BrowserFolder(browser, "Product BaselineA"));
        folderB.append(new BrowserFolder(browser, "Product BaselineB"));
        folderB.append(new BrowserItem  (browser, "Product DocProd"));

        browser.setLineColor         (Color.black);
        browser.setTextColor         (Color.black);
        browser.setViewportBackground(Color.lightGray);
        browser.setViewportInsets    (new Insets(5,5,5,5));
        browser.setFont              (new Font("Dialog", Font.ITALIC, 12));


        f.add(browser);
        f.pack();

        f.show();
    }
}