/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * package: TOOL.UML.SERVER
 * Classe: UMLServer
\******************************************************************************/

package TOOL.UML.SERVER;


import  COPSE.*;
import  COPSE.CONTROL.*;
import  COPSE.SERVER.*;

import  TOOL.UML.CUMLFileController;



/* ****************************************************************************
 * class UMLServer
 ******************************************************************************/
public class    UMLServer
    extends     CServer
{
    public UMLServer( int port, String fileName )
        throws Exception
    {
        super( port, fileName );
    }

    protected CServerEventHandler CreateServerEventHandler()
    {
        return new UMLServerEventHandler( this );
    }

    protected CFileController CreateFileController()
    {
        return new CUMLFileController( pFile );
    }
}