/*

\**/

package TOOL.UML.SERVER;

import java.io.*;
import java.util.*;

import COPSE.*;
import COPSE.SERVER.*;


public class UMLServerApp
{
    protected UMLServer   pServer;


    public static void main( String[] args )
    {
        new UMLServerApp().run( args );
    }

    public UMLServerApp()
    {
    }

    protected void run (String[] args)
    {
        System.out.println( "UMLServerApp 0.0.1" );

        String filename = null;
        if( args.length < 1 )
        {
            System.out.println( "Parameters: <port> [<fileName>]" );
            System.exit(0);
        }
        if( args.length > 1 )
            filename = args[1];


        System.out.println( "DEBUG: Creating the Server object" );
        try {

            pServer = new UMLServer( Integer.parseInt(args[0]), filename );
        }
        catch( Exception e )
        {
            e.printStackTrace( System.out );
            System.exit( 0 );
        }

        System.out.println( "DEBUG: Starting the Server object" );
	System.out.println("alive?" + pServer.isAlive());
     	pServer.start();
	/*try {
		//Thread.sleep (6000);
		Thread mythread = new Thread(pServer);
		mythread.setPriority (Thread.MAX_PRIORITY);
		//mythread.setDaemon (true);
		mythread.start();
		System.out.println("alive? " + mythread.isAlive());
	} catch (Exception exp) {
		exp.printStackTrace(System.out);
	}*/
	//System.out.println ("starting again");
        //pServer.start();
	pServer.run();
	//mythread.start();
	//System.out.println("alive?" + pServer.isAlive());

        System.out.println ("creating buffers");
        BufferedReader reader = new BufferedReader( new InputStreamReader( System.in ) );
        StringTokenizer tokenizer;
	System.out.println("aqui tb");

        boolean mExit = false;
        while( !mExit )
        {
            try{
                tokenizer = new StringTokenizer( reader.readLine() );
                if( !tokenizer.hasMoreTokens() ) continue;
            } catch ( IOException e )
            {   continue; }


            String command = tokenizer.nextToken();
            if( command.equals( "DEBUG" ) )
            {
                //pServer.DEBUG_write( System.out );
            }
            else
            if( command.equals( "EXIT" ) )
            {
                pServer.Exit();

                /*
                pServer.stop();
                /*
                pServer.Exit();
                try{
                    pServer.join(10);
                }
                catch( Exception e) {};
                */
                mExit = true;
            }
        } // while !mExit

        try{
            pServer.join();
	    System.out.println("joining123");
        }
        catch( Exception e)
        {
            e.printStackTrace( System.err );
        };
    }


}
