/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Project Server Application
 * Classe: CServerManagerEventHandler
\******************************************************************************/

//import java.io.*;

import COPSE.*;

public class CServerManagerEventHandler
    implements CEventHandler
{
    CServerManager    pManager;

    public CServerManagerEventHandler ( CServerManager manager )
    {
        pManager = manager;
    }

    public void ProcessEvent( CEvent event, CConnectionHandler handler )
    {
        int type = event.GetType();

        System.err.println( "[DEBUG] CServerManagerEventHandler - Event ["+type+"]" );
        switch( type )
        {
            case CEvent.EvCOPSE_Server_Init:
                /* BUGFIX */
                try {
                    CConnectionHandler conn = pManager.BUGFIX_CreateNewConnector();

                    CEvent ev = new CEvent( CEvent.EvCOPSE_Connection_Open );
                    ev.AddArgument( new Integer(0) );
                    ev.AddArgument( new Integer(0) );
                    conn.Send( ev );

                    ev = new CEvent( CEvent.EvCOPSE_Server_Init );
                    ev.AddArgument( pManager.GetFile() );
                    conn.Send( ev );
                } catch ( Exception e )
                {  e.printStackTrace( System.err ); }
                /* * /
                try
                {
                    CEvent ev = new CEvent( type );
                    ev.AddArgument( pManager.GetFile() );
                    handler.Send( ev );
                } catch (Exception e)
                {
                    System.err.println( "[DEBUG] CServerManagerEventHandler - error on sending event..." );
                };
                /* */
                break;


            //case CEvent.EvManager_... ???

        }
    }
}