/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * COPSE Client Application
 * Classe: COPSEClientUsersManager
\******************************************************************************/


import java.io.*;
import java.util.*;


import FILE.*;
import PRODUCT.*;
import COPSE.*;
import COPSE.CONTROL.*;
//import AGENT.*;
//import PROCESS.MODEL.*;
//import PROCESS.*;



public class COPSEClientUsersManager
{
    protected   COPSEClientProjectManager   pProjectManager;

    protected   CFile                       pUsers;
    protected   CFileController             pUsersController;


    public COPSEClientUsersManager( COPSEClientProjectManager manager )
    {
        pProjectManager = manager;

        pUsers = null;
        pUsersController = null;

        // Ask COPSEServer to send needed information
        try {
            CEvent event = new CEvent( CEvent.EvCOPSE_UsersManager_Load );
            manager.GetClient().GetConnector().Send( event );
        } catch( Exception e ) {};
    }


    public void SetUsers( CFileController usersController )
    {
        pUsers = (CFile) usersController.GetFile();
        pUsersController = usersController;
    }

    public void Close()
    {
    }

}
