/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: PRODUCT
 * Classe:  CBaseEntry
\******************************************************************************/

package PRODUCT;

import java.io.*;
import java.util.*;

import FILE.*;


public class CBaseEntry
    extends CElement
{
    private int         mDocId;
    private int         mVerId;

    public CBaseEntry( int docId, int verId )
    {
        super();
        mDocId = docId;
        mVerId = verId;
    }

    public int      GetDocumentId ()        { return mDocId; }
    public int      GetVersionId  ()        { return mVerId; }
    public void     SetVersionId (int ver)  { mVerId = ver; }
}
